Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 17 Aug 2020 07:30:32 +0000

Hi Ezzaldeen Mahyoub,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect my order number is 8387443302
I have placed an order on the 12 of june and I didn’t receive any conformation to pick up the order yet! I keep calling the call center to cancel my order and get a refund as it has been so long and i no longer need the things but they just keep telling me to wait for the cancellation process. I don’t believe that in order to cancel an order it will take all this time two months now!!  
I would like to get help on this as soon as possible please https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1395846